Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Types | Public Attributes | List of all members
res_mon::Entry Struct Reference

ResMon Entry. More...

`import <ResMon.idl;`

## Public Types
enum | Type { GLOBAL_CPU_USAGE , GLOBAL_FREE_MEM , GLOBAL_PROC_COUNT , FS_FREE_SPACE , FS_FREE_INODES , PROC_CPU_USAGE , PROC_VM_SIZE , PROC_FREE_FILE_DESC , PROC_LIFE_TIME , PROC_COUNT }
| Type of this ResMon Entry. More...

## Public Attributes
Type | type
| Type of this ResMon Entry.
string | name
| ResMon Entry name.
long | value
| ResMon Entry value.

## Detailed Description

ResMon Entry.

Definition at line 14 of file ResMon.idl.

## Member Enumeration Documentation

## ◆ Type

enum res_mon::Entry::Type

Type of this ResMon Entry.

Enumerator
GLOBAL_CPU_USAGE | global cpu usage
GLOBAL_FREE_MEM | global free memory
GLOBAL_PROC_COUNT | global process count
FS_FREE_SPACE | free filesystem space
FS_FREE_INODES | free filesystem inodes
PROC_CPU_USAGE | process cpu usage
PROC_VM_SIZE | process virtual r/w mem size (formerly full vm size)
PROC_FREE_FILE_DESC | process free file descriptors
PROC_LIFE_TIME | process life time
PROC_COUNT | process count

Definition at line 17 of file ResMon.idl.

## Member Data Documentation

## ◆ name

string res_mon::Entry::name

ResMon Entry name.

Definition at line 33 of file ResMon.idl.

## ◆ type

Type res_mon::Entry::type

Type of this ResMon Entry.

Definition at line 31 of file ResMon.idl.

## ◆ value

long res_mon::Entry::value

ResMon Entry value.

Definition at line 35 of file ResMon.idl.

The documentation for this struct was generated from the following file:

- ResMon.idl